/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Corrida;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderCorrida implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Corrida corrida = (Corrida) o;

        Listcell lc = new Listcell();

        lc = new Listcell(corrida.getId().getCorridaId().toString());
        lc.setParent(lstm);

        SimpleDateFormat format = new SimpleDateFormat("dd/MM/yyyy");
        lc = new Listcell(format.format(corrida.getId().getFeccorrida()));
        lc.setParent(lstm);

        if (corrida.getOrigem() != null) {
            lc = new Listcell(corrida.getOrigem().getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (corrida.getDestino() != null) {
            lc = new Listcell(corrida.getDestino().getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (corrida.getRuta() != null) {
            lc = new Listcell(corrida.getRuta().getDescruta());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (corrida.getClaseServicio() != null) {
            lc = new Listcell(corrida.getClaseServicio().getDescclase());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", corrida);
    }
}
